package com.hncy.auth.inject.spring.boot.starter;

import com.hncy.auth.inject.spring.boot.starter.config.AuthConfiguration;
import com.hncy.auth.inject.spring.boot.starter.config.WebMvcConfiguration;
import com.hncy.auth.inject.spring.boot.starter.feign.FeignAuthUserInjectInterceptor;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

/**
 * @Author: ying.dong
 * @Date: 2021/4/23 13:47
 */
@Configuration
@Import({FeignAuthUserInjectInterceptor.class, WebMvcConfiguration.class, AuthConfiguration.class})
public class AuthInfoInjectAutoConfiguration {

}
