package com.hncy.auth.inject.spring.boot.starter.common.factory;

import com.hncy.auth.inject.spring.boot.starter.auth.AccTypeEnum;
import com.hncy.auth.inject.spring.boot.starter.auth.AuthUser;
import org.springframework.lang.NonNull;

/**
 * @Author: ying.dong
 * @Date: 2021/7/17 11:09
 */
public interface AuthUserFactory {

    /**
     * 创建auth user
     * @param accTypeEnum
     * @param account
     * @param loginAccount
     * @return
     */
    AuthUser getAuthUser(@NonNull AccTypeEnum accTypeEnum, @NonNull String account, @NonNull String loginAccount);
}
