package com.hncy.exception.handler.spring.boot.starter.common;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @Author: ying.dong
 * @Date: 2021/4/19 16:24
 */
@ConfigurationProperties(prefix = ConfigProperties.PREFIX)
@Data
public class ConfigProperties {

    public static final String PREFIX = "config.exception";

    /**
     * 是否报警
     */
    private boolean alarm = true;

    /**
     * 文件地址
     */
    private String messagePath = "message/errorcode";

}
