package com.hncy.file.manage.spring.boot.starter.oss.common;

import com.aliyun.oss.OSS;
import com.hncy.file.manage.spring.boot.starter.oss.properties.OSSRoleProperties;

/**
 * @Author: ying.dong
 * @Date: 2021/5/24 18:08
 */
public class DefaultOSSClient implements OSSClient {

    private final OSSRoleProperties ossRoleProperties;
    private final OSS sdkClient;

    public DefaultOSSClient(OSSRoleProperties ossRoleProperties, OSS sdkClient) {
        this.ossRoleProperties = ossRoleProperties;
        this.sdkClient = sdkClient;
    }

    @Override
    public OSSRoleProperties getConfiguration() {
        return ossRoleProperties;
    }

    @Override
    public OSS getSDKClient() {
        return sdkClient;
    }
}
