package com.hncy.message.spring.boot.starter.metadata;

import com.hncy.message.spring.boot.starter.common.ExchangeTypeEnum;
import lombok.Data;

/**
 * @Author: ying.dong
 * @Date: 2021/6/4 14:37
 */
@Data
public abstract class FanoutMessageMetadata implements MessageMetadata {

    @Override
    public final ExchangeTypeEnum getExchangeType() {
        return ExchangeTypeEnum.FANOUT;
    }

    /**
     * 获取交换机名
     * @return
     */
    public abstract String getExchange();
}
