package com.hncy.repeatable.check.spring.boot.starter;

import com.hncy.lock.spring.boot.starter.LockAutoConfiguration;
import com.hncy.lock.spring.boot.starter.core.Lock;
import com.hncy.repeatable.check.spring.boot.starter.common.InterceptRequestAop;
import org.springframework.boot.autoconfigure.AutoConfigureAfter;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

@Configuration
@AutoConfigureAfter(LockAutoConfiguration.class)
//@Import({InterceptRequestAop.class})
public class RepeatableCheckAutoConfiguration {

    @Bean
    public InterceptRequestAop interceptRequestAop(Lock lock){
        return new InterceptRequestAop(lock);
    }

}
