package com.hncy.deploy.config;

import com.hncy.deploy.properties.DeployProperties;
import com.hncy.deploy.service.DefaultDeployService;
import com.hncy.deploy.service.DeployService;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Author: ying.dong
 * @Date: 2021/5/18 13:55
 */
@Configuration
@EnableConfigurationProperties(DeployProperties.class)
public class DeployCommandConfiguration {

    @Bean
    DeployService deployService(DeployProperties properties) {
        return new DefaultDeployService(properties);
    }
}
