package com.hncy.deploy.exception;

/**
 * @Author: ying.dong
 * @Date: 2021/5/18 15:07
 */
public class HealthCheckException extends RuntimeException {

    private static final long serialVersionUID = -3914683817094358273L;

    private String name;

    public HealthCheckException(String name, Exception e) {
        super("[" + name + "] health check error.", e);
        this.name = name;
    }
}
