package com.hncy.deploy.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.List;

/**
 * @Author: ying.dong
 * @Date: 2021/5/17 15:45
 */
@Data
@ConfigurationProperties(prefix = "config.deploy")
public class DeployProperties {

    private String profile;
    private String workspace;
    /**
     * 停服务等待超时时间
     */
    private Integer shutdownTimeoutInSeconds;
    /**
     * 启动服务等待超时时间
     */
    private Integer startTimeoutInSeconds;
    private List<ServiceProperties> service;
}
