package com.hncy.deploy.util;

import cn.hutool.core.util.ArrayUtil;
import cn.hutool.core.util.RuntimeUtil;

import java.util.*;

/**
 * @Author: ying.dong
 * @Date: 2021/5/17 14:33
 */
public class CommandUtil {

    private static final String[] TERMINAL_COMMANDS = {"/bin/sh", "-c"};

    /**
     * 执行命令
     * @param commands
     * @return
     */
    public static List<String> executeLines(String... commands) {
        commands = ArrayUtil.addAll(TERMINAL_COMMANDS, commands);
        return RuntimeUtil.execForLines(commands);
    }

    /**
     * 执行命令
     * @param commands
     * @return
     */
    public static String execute(String... commands) {
        commands = ArrayUtil.addAll(TERMINAL_COMMANDS, commands);
        return RuntimeUtil.execForStr(commands);
    }

}
