package com.hncy.service.wechat.applet.biz.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Author: cs
 * @Date: 2021/11/4 19:52
 * 部件图片
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class ComponentPictureDto {

    @ApiModelProperty(value = "部件图片名字")
    private String componentPictureName;

    @ApiModelProperty(value = "部件图片大小")
    private String componentPictureSize;

    @ApiModelProperty(value = "部件图片类型")
    private String componentPictureType;

    @ApiModelProperty(value = "部件图片")
    private MultipartFile componentPicture;

    @ApiModelProperty(value = "存储形式：1.部件采集 2.问题上报")
    private String storageForm;

}
