package com.hncy.service.wechat.applet.biz.invoke.config;

import com.hncy.service.wechat.applet.biz.service.ComponentsRemoteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.remoting.httpinvoker.HttpComponentsHttpInvokerRequestExecutor;
import org.springframework.remoting.httpinvoker.HttpInvokerProxyFactoryBean;
import org.springframework.stereotype.Component;

@Component
public class RemotingServiceInit {  

    @Autowired
    private HttpComponentsHttpInvokerRequestExecutor httpInvokerRequestExecutor;
      
    @Bean
    public HttpInvokerProxyFactoryBean componentsRemoteService (){
        HttpInvokerProxyFactoryBean bean = new HttpInvokerProxyFactoryBean();  
        bean.setServiceUrl("http://112.19.252.107:9090"+"/urbanmis/ComponentsRemoteService.service");
        bean.setServiceInterface(ComponentsRemoteService.class);
        bean.setHttpInvokerRequestExecutor(httpInvokerRequestExecutor);  
        return bean;  
    }  
}