package com.hncy.service.wechat.applet.biz.mapper;

import com.hncy.service.wechat.applet.biz.dto.CountMounthComponentDto;
import com.hncy.service.wechat.applet.biz.entity.CommunityGrid;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hncy.service.wechat.applet.biz.entity.ComponentDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 社区网格 Mapper 接口
 * </p>
 *
 * @author cs
 * @since 2021-11-29
 */
public interface CommunityGridMapper extends BaseMapper<CommunityGrid> {

    List<ComponentDetail> selectAllTypesBySupperComponents(@Param("comid") String code);

    String selectSumComponentsInDirection(@Param("comid") String code);

    List<CountMounthComponentDto> selectSumComponentsByMounth(@Param("comid") String code);

    List<ComponentDetail> selectTodayComponentsTypeSum(@Param("comid") String code);

    List<ComponentDetail> selectDetailComponents(@Param("comid") String code, @Param("componentCode") String componentCode, @Param("componentName") String componentName);

    CommunityGrid selectCommunityByComponent(@Param("id") String componentId);

    List<ComponentDetail> selectTodaySum(@Param("comid") String code);

    String selectSum(@Param("comid") String code, @Param("componentCode") String componentCode, @Param("componentName") String componentName);

    String selectTodayPatrolInspectionSum(@Param("comid") String code, @Param("componentCode") String componentCode, @Param("componentName") String componentName);

    String selectComponentWellSum(@Param("comid") String code);

    String selectComponentAbnormalSum(@Param("comid") String code);
}
