package com.hncy.service.wechat.applet.biz.mini.controller.internal;

import com.hncy.common.constant.GlobalConstant;
import com.hncy.common.dto.ResultBean;
import com.hncy.service.wechat.applet.api.dto.output.Code2SessionOutput;
import com.hncy.service.wechat.applet.biz.mini.service.MiniProgramService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author: ying.dong
 * @Date: 2021/6/15 15:22
 */
@RestController
@RequestMapping(GlobalConstant.NameSpace.INTERNAL)
public class MiniProgramController {

    @Autowired
    private MiniProgramService miniProgramService;

    @GetMapping("/sns/code")
    public ResultBean<Code2SessionOutput> login(@RequestParam("code")String code) {
        Code2SessionOutput output = miniProgramService.login(code);
        return ResultBean.success(output);
    }

    @GetMapping("/sns/access_token")
    public ResultBean<String> getAccessToken() {
        String accessToken = miniProgramService.getAccessToken();
        return ResultBean.success(accessToken);
    }


}
