package com.hncy.service.wechat.applet.biz.service.impl;

import com.hncy.common.dto.ResultBean;
import com.hncy.service.wechat.applet.biz.entity.AppletManage;
import com.hncy.service.wechat.applet.biz.mapper.AppletManageMapper;
import com.hncy.service.wechat.applet.biz.service.AppletManageService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author cs
 * @since 2021-11-02
 */
@Service
public class AppletManageServiceImpl extends ServiceImpl<AppletManageMapper, AppletManage> implements AppletManageService {

    @Autowired
    private AppletManageMapper appletManageMapper;

    @Override
    public ResultBean<List<AppletManage>> selectAppletManage() {
        List<AppletManage> appletManages = appletManageMapper.selectAppletManage();
        return ResultBean.success(appletManages);
    }
}
