package com.hncy.service.wechat.applet.biz.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author: cs
 * @Date: 2021/11/3 9:59
 * 部件子类名称
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class ComponentSubNameVo {

    @ApiModelProperty(value = "部件子类名称：如雨水井盖")
    private String componentName;

    @ApiModelProperty(value = "部件子类编码")
    private String componentCode;

    @ApiModelProperty(value = "今日部件已经巡检总数")
    private String componentInspectionSum;

    @ApiModelProperty(value = "该类部件总数")
    private String componentTypeSum;


}
