package com.hncy.service.wechat.applet.biz.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @Author: cs
 * @Date: 2021/11/2 9:19
 * 返回给前端的accessToken以及openid
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class WechatAccesstokenVo {

    @ApiModelProperty(value = "微信小程序用户唯一标识")
    private String openId;

    @ApiModelProperty(value = "用户登录凭证")
    private String accessToken;

    @ApiModelProperty(value = "用户会话")
    private String sessionKey;


}
