package com.hncy.auth.inject.spring.boot.starter.common.extractor;

import javax.servlet.http.HttpServletRequest;
import java.util.Optional;

/**
 * 提取认证信息
 * @Author: ying.dong
 * @Date: 2021/7/16 14:47
 */
public interface AuthInfoExtractor<T> {

    Optional<T> extract();

    Optional<T> extract(HttpServletRequest request);
}
