package com.hncy.exception.handler.spring.boot.starter;

import com.hncy.exception.handler.spring.boot.starter.common.ConfigProperties;
import com.hncy.exception.handler.spring.boot.starter.config.AlarmConfig;
import com.hncy.exception.handler.spring.boot.starter.config.ExceptionConfig;
import org.springframework.boot.autoconfigure.AutoConfigureBefore;
import org.springframework.boot.autoconfigure.web.servlet.error.ErrorMvcAutoConfiguration;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * @Author: ying.dong
 * @Date: 2021/4/19 16:36
 */
@Configuration
@EnableConfigurationProperties({ConfigProperties.class})
@Import({ExceptionConfig.class})
@AutoConfigureBefore(ErrorMvcAutoConfiguration.class)
@EnableAsync
public class ExceptionHandlerAutoConfiguration {
}
