package com.hncy.exception.handler.spring.boot.starter.common;

import com.hncy.common.exception.common.ErrorCode;
import org.springframework.http.HttpStatus;

/**
 * @Author: ying.dong
 * @Date: 2021/4/19 16:24
 */
public class ApiResultBuilder {

    public static ApiResult build(int code, String msg, HttpStatus status) {
        return new ApiResult(new LocalResult(code, msg), status);
    }

    public static ApiResult build(ErrorCode errorCode, HttpStatus status) {
        return build(errorCode.getCode(), errorCode.getMessage(), status);
    }
}
