package com.hncy.exception.handler.spring.boot.starter.core.translator.base;

import com.hncy.exception.handler.spring.boot.starter.common.ApiResult;

/**
 * @Author: ying.dong
 * @Date: 2021/4/19 16:24
 */
public interface ExceptionTranslator extends Supportable<Throwable> {

    /**
     * 翻译异常
     * @param throwable
     * @return
     */
    ApiResult translate(Throwable throwable);
}
