package com.hncy.feign.spring.boot.starter;

import com.hncy.feign.spring.boot.starter.exception.FeignExceptionConfiguration;
import com.hncy.feign.spring.boot.starter.form.FeignFormConfiguration;
import com.hncy.feign.spring.boot.starter.log.FeignLogConfig;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

/**
 * @Author: ying.dong
 * @Date: 2021/4/14 17:06
 */
@Configuration
@Import({FeignLogConfig.class, FeignFormConfiguration.class, FeignExceptionConfiguration.class})
public class FeignAutoConfiguration {
}
