package com.hncy.feign.spring.boot.starter.exception;

import lombok.Data;

/**
 * @Author: ying.dong
 * @Date: 2021/6/11 14:31
 */
@Data
public class RPCException extends RuntimeException {

    private static final long serialVersionUID = 5872359656617877624L;
    private int status;
    private int code;
    private String message;

    public RPCException(int status, int code, String message) {
        super(message);
        this.status = status;
        this.code = code;
        this.message = message;
    }
}
