package com.hncy.file.manage.spring.boot.starter.core.common;

import java.util.Optional;

/**
 * @Author: ying.dong
 * @Date: 2021/5/24 17:55
 */
public interface Registry<K, V> {

    Optional<V> get(K k);

    boolean add(K k, V v);

    boolean remove(K k);
}
