package com.hncy.file.manage.spring.boot.starter.oss.common;

import com.aliyun.oss.OSS;
import com.hncy.file.manage.spring.boot.starter.core.common.CloudClient;
import com.hncy.file.manage.spring.boot.starter.oss.properties.OSSRoleProperties;

/**
 * @Author: ying.dong
 * @Date: 2021/5/24 18:04
 */
public interface OSSClient extends CloudClient {

    /**
     * 获取配置
     * @return
     */
    OSSRoleProperties getConfiguration();

    /**
     * 获取SDK客户端
     * @return
     */
    OSS getSDKClient();
}
