package com.hncy.message.spring.boot.starter.producer;

import com.hncy.message.spring.boot.starter.metadata.MessageMetadata;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.context.ApplicationContextAware;

/**
 * 消息发送
 * @Author: ying.dong
 * @Date: 2021/6/3 14:17
 */
public interface MessageDelivery extends InitializingBean, ApplicationContextAware {

    /**
     * 投递消息
     * @param messageMetadata
     * @param data
     * @param <T>
     * @return
     */
    <T> boolean deliver(MessageMetadata messageMetadata, T data);
}
