package com.hncy.notifier.spring.boot.starter;

import com.hncy.notifier.spring.boot.starter.config.MailNotifierConfiguration;
import org.springframework.boot.autoconfigure.AutoConfigureAfter;
import org.springframework.boot.autoconfigure.mail.MailSenderAutoConfiguration;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

/**
 * @Author: ying.dong
 * @Date: 2021/8/5 14:23
 */
@Configuration(proxyBeanMethods = false)
@Import(MailNotifierConfiguration.class)
@AutoConfigureAfter(MailSenderAutoConfiguration.class)
public class NotifierAutoConfiguration {
}
