package com.hncy.redis.spring.boot.starter;

import com.hncy.redis.spring.boot.starter.core.StringRedisRepository;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.core.StringRedisTemplate;

/**
 * @Author: ying.dong
 * @Date: 2021/4/22 17:42
 */
@Configuration
public class RedisAutoConfiguration {

    @ConditionalOnMissingBean
    @Bean
    StringRedisRepository stringRedisRepository(StringRedisTemplate stringRedisTemplate) {
        return new StringRedisRepository(stringRedisTemplate);
    }

}
