package com.hncy.redis.spring.boot.starter.core;

import org.springframework.data.redis.connection.RedisConnection;
import org.springframework.data.redis.serializer.RedisSerializer;

/**
 * @Author: ying.dong
 * @Date: 2021/6/28 11:03
 */
@FunctionalInterface
public interface RedisConnectionConsumer<K, V> {

    void accept(RedisConnection connection, RedisSerializer<K> keySerializer, RedisSerializer<V> valueSerializer);
}
