package com.hncy.sms.spring.boot.starter.constant;

/**
 * @Author: ying.dong
 * @Date: 2021/5/11 16:04
 */
public interface SmsConstant {

    /**
     * 配置
     */
    interface SmsPropertiesPrefix {
        String ALIYUN = "config.sms.aliyun";
    }

    /**
     * 地址
     */
    interface Domain {
        String ALIYUN = "dysmsapi.aliyuncs.com";
    }

    /**
     * 超时时间设置
     */
    interface Timeout {
        /**
         * 默认连接超时时间（2S）
         */
        long DEFAULT_CONNECTION_TIMEOUT = 2;

        /**
         * 默认超时时间(3S)
         */
        long DEFAULT_READ_TIMEOUT = 3;
    }

    /**
     * 开启
     */
    interface Enabled {
        String ALIYUN = SmsPropertiesPrefix.ALIYUN + ".enabled";
    }

}
