package com.hncy.common.constant;

import org.omg.CORBA.INTERNAL;

/**
 * @Author: ying.dong
 * @Date: 2021/4/27 11:12
 */
public interface GlobalConstant {

    /**
     * 命名空间（用作请求隔离）
     */
    interface NameSpace {
        String APPLET = "applet";
        String INTERNAL = "internal";
        String ADMIN = "admin";
        String SCHEDULE = "schedule";
        String CALLBACK = "callback";
    }

    /**
     * Redis 命名空间
     */
    interface RedisNameSpace {
        String SERVICE_APPLET = "SERVICE_APPLET_";
        String SERVICE_DOCTOR = "SERVICE_DOCTOR_";
        String SERVICE_BACKGROUND = "SERVICE_BACKGROUND_";
        String SERVICE_SELLER = "SERVICE_SELLER_";
        String STARTER_REPEATABLE_CHECK = "STARTER_REPEATABLE_CHECK_";
    }
}
