package com.hncy.deploy.exception;

/**
 * @Author: ying.dong
 * @Date: 2021/5/18 14:17
 */
public class JarFileNotExists extends RuntimeException {
    private static final long serialVersionUID = 3688330719831971527L;

    private String jar;

    public JarFileNotExists(String jar) {
        super("jar file not exists. [" + jar + "]");
    }

    public String getJar() {
        return jar;
    }
}
