package com.hncy.deploy.properties;

import lombok.Data;

/**
 * @Author: ying.dong
 * @Date: 2021/5/17 15:42
 */
@Data
public class ServiceProperties {

    /**
     * 服务名
     */
    private String name;

    /**
     * 目录
     */
    private String directory;

    /**
     * 描述
     */
    private String description;

    /**
     * jar包名称
     */
    private String jar;

    /**
     * 健康检查地址
     */
    private String healthCheck;

    /**
     * jvm相关参数
     */
    private JvmProperties jvm;
}
