package com.hncy.service.wechat.applet.biz.controller;

import lombok.extern.slf4j.Slf4j;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.web.bind.annotation.*;
import com.hncy.common.dto.ResultBean;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import com.hncy.service.wechat.applet.biz.entity.AppletManage;
import com.hncy.service.wechat.applet.biz.service.AppletManageService;
import org.springframework.beans.factory.annotation.Autowired;
import io.swagger.annotations.Api;

import java.time.LocalDateTime;
import java.util.List;

import org.springframework.web.bind.annotation.RestController;

/**
* <p>
    * controller
    * </p>
*
* @author cs
* @since 2021-11-02
*/
@RestController
@RequestMapping("/applet-manage")
@Slf4j
@Api(tags = "帮助表")
public class AppletManageController {

    @Autowired
    private AppletManageService appletManageService;


    @ApiOperation(value = "展示帮助列表")
    @PostMapping(value = "/selectAppletManage")
    ResultBean<List<AppletManage>> selectAppletManage() {
        return appletManageService.selectAppletManage();
    }




}
