package com.hncy.service.wechat.applet.biz.entity;

import com.hncy.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 区县网格
 * </p>
 *
 * @author cs
 * @since 2021-11-29
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@ApiModel(value="CityGrid对象", description="区县网格")
public class CityGrid {

    private static final long serialVersionUID = 1L;

    private String dscode;

    private String dsname;

    private String shape;

    private String bdShape;

    private String gdShape;

    private Double area;

    private Double perimeter;

    private Double shapeLeng;

    private Double shapeArea;


    public static final String DSCODE = "dscode";

    public static final String DSNAME = "dsname";

    public static final String SHAPE = "shape";

    public static final String BD_SHAPE = "bd_shape";

    public static final String GD_SHAPE = "gd_shape";

    public static final String AREA = "area";

    public static final String PERIMETER = "perimeter";

    public static final String SHAPE_LENG = "shape_leng";

    public static final String SHAPE_AREA = "shape_area";

}
