package com.hncy.service.wechat.applet.biz.entity;

import com.hncy.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 道路网格
 * </p>
 *
 * @author cs
 * @since 2021-11-29
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@ApiModel(value="RoadGrid对象", description="道路网格")
public class RoadGrid {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "道路名称")
    private String roadname;

    private String shape;

    private String bdShape;

    private String gdShape;

    private Double shapeLeng;

    private Double shapeArea;


    public static final String ROADNAME = "roadname";

    public static final String SHAPE = "shape";

    public static final String BD_SHAPE = "bd_shape";

    public static final String GD_SHAPE = "gd_shape";

    public static final String SHAPE_LENG = "shape_leng";

    public static final String SHAPE_AREA = "shape_area";

}
