package com.hncy.service.wechat.applet.biz.mapper;

import com.hncy.service.wechat.applet.biz.dto.CountMounthComponentDto;
import com.hncy.service.wechat.applet.biz.entity.CityGrid;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hncy.service.wechat.applet.biz.entity.ComponentDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 区县网格 Mapper 接口
 * </p>
 *
 * @author cs
 * @since 2021-11-29
 */
public interface CityGridMapper extends BaseMapper<CityGrid> {

    String selectSumComponentsInDirection(@Param("dscode") String code);

    List<CountMounthComponentDto> selectSumComponentsByMounth(@Param("dscode") String code);

    List<ComponentDetail> selectTodayComponentsTypeSum(@Param("dscode") String code);

    List<ComponentDetail> selectAllTypesBySupperComponents(@Param("dscode") String code);

    List<ComponentDetail> selectDetailComponents(@Param("dscode") String code, @Param("componentCode") String componentCode, @Param("componentName") String componentName);

    List<ComponentDetail>  selectTodaySum(@Param("dscode") String code);

    String selectSum(@Param("dscode") String code, @Param("componentCode") String componentCode, @Param("componentName") String componentName);

    String selectTodayPatrolInspectionSum(@Param("dscode") String code, @Param("componentCode") String componentCode, @Param("componentName") String componentName);

    String selectComponentWellSum(@Param("dscode") String code);

    String selectComponentAbnormalSum(@Param("dscode") String code);
}
