package com.hncy.service.wechat.applet.biz.mapper;

import com.hncy.service.wechat.applet.biz.entity.ComponentIssuesReport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hncy.service.wechat.applet.biz.vo.RegTypesVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 部件问题上报 Mapper 接口
 * </p>
 *
 * @author cs
 * @since 2021-11-02
 */
public interface ComponentIssuesReportMapper extends BaseMapper<ComponentIssuesReport> {

    List<RegTypesVo> selectAllRegTypes(@Param("componentReportCode") String componentReportCode, @Param("componentReportName") String componentReportName);

    String selectTodaySum(@Param("collectorOpenId") String collectorOpenId);

    List<ComponentIssuesReport> selectTodayIssue(@Param("collectorOpenId") String collectorOpenId);

    List<ComponentIssuesReport> selectSumComponentsInDirection();

    List<ComponentIssuesReport> selectIssueIdByComponentId(@Param("componentObjId") String componentObjId);
}
