package com.hncy.service.wechat.applet.biz.mapper;

import com.hncy.service.wechat.applet.biz.entity.ComponentType;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hncy.service.wechat.applet.biz.vo.ComponentTypesVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 部件类型 Mapper 接口
 * </p>
 *
 * @author cs
 * @since 2021-11-02
 */
public interface ComponentTypeMapper extends BaseMapper<ComponentType> {


    ComponentType selectBySuperNameAndName(@Param("componentSuperName") String componentSuperName, @Param("componentName") String componentName);
}
