package com.hncy.service.wechat.applet.biz.mapper;

import com.hncy.service.wechat.applet.biz.dto.CountMounthComponentDto;
import com.hncy.service.wechat.applet.biz.entity.ComponentDetail;
import com.hncy.service.wechat.applet.biz.entity.StreetGrid;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 街道网格 Mapper 接口
 * </p>
 *
 * @author cs
 * @since 2021-11-29
 */
public interface StreetGridMapper extends BaseMapper<StreetGrid> {

    List<ComponentDetail> selectAllTypesBySupperComponents(@Param("streetid") String code);

    String selectSumComponentsInDirection(@Param("streetid") String code);

    List<CountMounthComponentDto> selectSumComponentsByMounth(@Param("streetid") String code);

    List<ComponentDetail> selectTodayComponentsTypeSum(@Param("streetid") String code);

    List<ComponentDetail> selectDetailComponents(@Param("streetid") String code, @Param("componentCode") String componentCode, @Param("componentName") String componentName);

    StreetGrid selectCommunityByComponent(@Param("id") String componentId);

    List<ComponentDetail> selectTodaySum(@Param("streetid") String code);

    String selectSum(@Param("streetid") String code, @Param("componentCode") String componentCode, @Param("componentName") String componentName);

    String selectTodayPatrolInspectionSum(@Param("streetid") String code, @Param("componentCode") String componentCode, @Param("componentName") String componentName);

    String selectComponentWellSum(@Param("streetid") String code);

    String selectComponentAbnormalSum(@Param("streetid") String code);
}
