package com.hncy.service.wechat.applet.biz.mini.dto.input;

import lombok.Data;
import org.springframework.lang.NonNull;
import org.springframework.lang.Nullable;

/**
 * @Author: ying.dong
 * @Date: 2021/6/15 18:13
 */
@Data
public class AccessTokenInput {

    @NonNull
    private String appid;
    @NonNull
    private String secret;

    @Nullable
    private String grant_type = "client_credential";

    public AccessTokenInput(@NonNull String appid, @NonNull String secret) {
        this.appid = appid;
        this.secret = secret;
    }
}
