package com.hncy.service.wechat.applet.biz.service;

import com.hncy.common.dto.ResultBean;
import com.hncy.service.wechat.applet.biz.dto.ComponentPictureDto;
import com.hncy.service.wechat.applet.biz.entity.ComponentPicture;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 部件图片表 服务类
 * </p>
 *
 * @author cs
 * @since 2021-11-04
 */
public interface ComponentPictureService extends IService<ComponentPicture> {

    /**
     * @Description 删除部件图片(包括批量删除)
     * @Date 2021/11/5 10:00
     * @param ids
     * @return
     */
    ResultBean deletePictures(List<String> ids);

    /**
     * @Description 上传部件图片
     * @Date 2021/12/7 15:40
     * @param file
     * @param storageForm
     * @param wxUserOpenId
     * @return
     */
    ResultBean<ComponentPicture> uploadComponentPicture(MultipartFile file, String storageForm, String wxUserOpenId);
}
