package com.hncy.service.wechat.applet.biz.service;

import com.hncy.common.dto.ResultBean;
import com.hncy.pageable.spring.boot.starter.core.Page;
import com.hncy.service.wechat.applet.biz.entity.PlatformAudit;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hncy.service.wechat.applet.biz.vo.AuditComponentVo;

/**
 * <p>
 * 平台端审核表 服务类
 * </p>
 *
 * @author cs
 * @since 2021-11-04
 */
public interface PlatformAuditService extends IService<PlatformAudit> {

    /**
     * @Description  根据审核状态进行分页
     * @Date 2021/11/5 10:38
     * @param pageNum
     * @param pageSize
     * @param auditStatus
     * @return
     */
    ResultBean<Page<PlatformAudit>> searchPlatformAuditlist(int pageNum, int pageSize, String auditStatus);

    /**
     * @Description 审核详情
     * @Date 2021/11/5 16:22
     * @param
     * @return
     */
    ResultBean<AuditComponentVo> selectDetailAudit(String id, String componentDetailId, String componentIssuesReportId);

    /**
     * @Description
     * @Date 2021/12/2 13:40
     * @param id
     * @param componentId
     * @param auditStatus
     * @param componentLogo
     * @return
     */
    ResultBean updateAuditStatus(String id, String componentId, String auditStatus, String componentLogo);
}
