package com.hncy.service.wechat.applet.biz.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import java.util.List;

/**
 * @Author: cs
 * @Date: 2021/11/3 9:59
 * AI扫描识别部件vo
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class AIScanComponentsVo {

    @ApiModelProperty(value = "部件子类名称：如雨水井盖之类")
    private String componentName;

    @ApiModelProperty(value = "部件子类编码")
    private String componentCode;

    @ApiModelProperty(value = "部件子类数量")
    private String sum;

    @ApiModelProperty(value = "扫描部件子类集合")
    private List<ComponentSubsVo> componentSubsVoList;


}
