package com.hncy.service.wechat.applet.biz.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author: cs
 * @Date: 2021/11/3 9:59
 * 部件父类vo
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class ComponentSupperVo {

    @ApiModelProperty(value = "部件父类名称：如公用设施，市容环境，拓展部件")
    private String componentSuperName;

    @ApiModelProperty(value = "部件父类名称：如公用设施，市容环境，拓展部件")
    private String componentSuperCode;

    @ApiModelProperty(value = "扫描部件子类名称集合")
    private List<ComponentSubNameVo> children;


}
