package com.hncy.service.wechat.applet.biz.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author: cs
 * @Date: 2021/12/17 14:11
 * 搜索部件总数vo
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class ComponentsSearchSumVo {

    @ApiModelProperty(value = "该类部件的今日巡检数")
    private String todayPatrolInspectionSum;

    @ApiModelProperty(value = "该类部件的总数")
    private String componentSum;

    @ApiModelProperty(value = "该类部件的详细信息")
    private List<ComponentsSearchVo> children;

}
