package com.hncy.service.wechat.applet.biz.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @Author: cs
 * @Date: 2021/11/3 14:43
 * 所有部件上报案件状态类型
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class RegTypesVo {

    @ApiModelProperty(value = "部件上报案件条件编码")
    private String regCondCode;

    @ApiModelProperty(value = "部件上报案件条件名称")
    private String regCondName;

}
